Create an API key
curl --request POST \
--url https://v1.api.altostrat.io/api/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production automation",
"permissions": [
"sites:read",
"scripts:write"
]
}
'import requests
url = "https://v1.api.altostrat.io/api/keys"
payload = {
"name": "Production automation",
"permissions": ["sites:read", "scripts:write"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Production automation', permissions: ['sites:read', 'scripts:write']})
};
fetch('https://v1.api.altostrat.io/api/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"message": "API Key created successfully. This is the only time the secret key will be shown.",
"key": {
"id": "api_key_2m3h5n7k9j8g7f6e5d4c3b2a",
"object": "api_key",
"name": "Production automation",
"key_prefix": "alto_sk_ab123",
"client_id": "C3HqXo4o6Yb5Kp0oV9x8",
"created_at": "2026-04-20T00:00:00Z",
"status": "active",
"permissions": [
"sites:read",
"scripts:write"
],
"last_used_at": null
},
"secret": "alto_sk_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUV"
}
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "The given data was invalid.",
"errors": {}
}API Keys
Create an API key
Creates an API key with the selected permissions. The secret is shown exactly once in the response, so store it in a secret manager before you close the dialog or discard the response body.
POST
/
api
/
keys
Create an API key
Authorizations
Authenticate with an SDX user access token that has permission to manage API keys.
Body
application/json
Was this page helpful?
⌘I